Bug 31925 - anaconda crashes while trying to install
Summary: anaconda crashes while trying to install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-16 01:34 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-18 17:09:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Dumpfile (994 bytes, text/plain)
2001-03-16 01:35 UTC, Need Real Name
no flags Details
My dump file (1017 bytes, text/plain)
2001-03-18 17:09 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-03-16 01:34:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: indexhtml

Local variables in innermost frame:
self: <comps.HeaderList instance at 82dd468>
item: indexhtml

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>


Reproducible: Always
Steps to Reproduce:
1.boot with floppy disk using boot.img
2.using hdd install with RPMS
3.define where to install
4.enter pertinent account information
5.read packages
6.crashes
	

Actual Results:  it crashed and gave me the option to save a logfile

Expected Results:  it should have continued with installation

Comment 1 Need Real Name 2001-03-16 01:35:43 UTC
Created attachment 12762 [details]
Anaconda Dumpfile

Comment 2 john 2001-03-17 18:49:53 UTC
Help,

I also have this bug regarding line 438.  I downloaded RedHat and made a boot 
disk.  The installation was going fine till this bug.  I am installing a 
partitionless system on my windows 98.  I searched the archives and they said 
that the FAT32 has to be less than 2047 MB.  I tried it at 1900 and it still 
wouldn't work.  I also downloaded the anaconda updates, but no luck.  What is 
the fix?

John

Comment 3 Need Real Name 2001-03-18 17:08:11 UTC
I am having this problem as well.  I am installing to a Linux native partition, 
with Windows 2000 also present on the system.  I used Partition Magic to create 
all partitions.  I tried using the 20001009 fix, but it didn't help.  My 
dumpfile is a bit different from the one currently attached, so I am attaching 
it as well.  Please let me know when a fix is available.

Comment 4 Need Real Name 2001-03-18 17:09:01 UTC
Created attachment 12903 [details]
My dump file

Comment 5 Michael Fulbright 2001-03-21 19:51:25 UTC
This error almost always means that either files are missing or are corrupted in
the install image on the hard drive. I would recommend pulling it down from a
different source, and making sure you use the 'binary' ftp option if necessary.

Comment 6 Need Real Name 2001-03-24 17:19:51 UTC
I tried re-downloading the entire contents of the base and RPMS directories 
from a different server, but I am still receiving the same error.  The 
downloads have always been done in binary mode.


Note You need to log in before you can comment on or make changes to this bug.